<mat-card class="example-card">
    <mat-card-header>
      <div mat-card-avatar class="example-header-image"></div>
      <mat-card-title> {{ user?.name }} </mat-card-title>
      <mat-card-subtitle>{{ user?.surName }}</mat-card-subtitle>
    </mat-card-header>
    <img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu">
    <mat-card-content>
        <ul>
            <li>
                <span>Phone number:</span> {{ user?.phone_number }}
            </li>
            <li>
                <span>Date birth:</span> {{ user?.date_birth | date }}
            </li>
            <li>
                <span>Years:</span> {{ user?.years }}
            </li>
            <li>
                <span>Education:</span> {{ user?.education }}
            </li>

            <li>
                <span>Job:</span> {{ user?.job }}
            </li>


            <li *ngIf="user?.car; else nocar">
                <span>Car:</span> Yes
            </li>

            <ng-template #nocar>
                <li>
                    <span>Car:</span> No
                </li>
            </ng-template>

        </ul>
    </mat-card-content>
    <mat-card-actions>

        <button mat-raised-button color="edit" (click)="editUser(user!)">Edit</button>
        <button mat-raised-button color="primary" (click)="deleteUser(user!.id, user!.name)">Delete</button>
    </mat-card-actions>
</mat-card>
